<?xml version="1.0"?>
<mime_applications>
   <comment>
/*****************************************************************************************/
This file is installed to $PREFIX/share/xffm/applications.xml

If values wish to be overridden, either use "open with"+"remember" or edit the file $HOME/.xfce4/xffm/applications.xml. The same rules apply to both files.

Multiple applications can be defined for a file application, but only the first *valid* one will be used for double click. All valid applications will be used for the run autocompletion.

Valid duplicate entries will appear as options in the main and popup menu "open"
/*****************************************************************************************/
   </comment>

   <comment>
   First come the editable text files:
   </comment> 

   <extension id=".c" application="gvim"/>  
   <extension id=".cc" application="gvim"/>  
   <extension id=".C" application="gvim"/>  
   <extension id=".cpp" application="gvim"/>  
   <extension id=".po" application="gvim"/>  
   <extension id=".h" application="gvim"/>  
   <extension id=".h++" application="gvim"/>  
   <extension id=".H" application="gvim"/>  
   <extension id=".hp" application="gvim"/>  
   <extension id=".f" application="gvim"/>  
   <extension id=".f77" application="gvim"/>  
   <extension id=".f99" application="gvim"/>  
   <extension id=".for" application="gvim"/>  
   <extension id=".pas" application="gvim"/>  
   <extension id=".txt" application="gvim"/>  
   <extension id=".text" application="gvim"/>  
   <extension id=".xml" application="gvim"/>  
   <extension id=".in" application="gvim"/>  
   <extension id=".ac" application="gvim"/>  
   <extension id=".am" application="gvim"/>  
   <extension id="README" application="gvim"/>  
   <extension id="readme" application="gvim"/>  
   <extension id="CHANGELOG" application="gvim"/>  
   <extension id="ChangeLog" application="gvim"/>  
   <extension id="INSTALL" application="gvim"/>  
   <extension id="TODO" application="gvim"/>  
   <extension id="NEWS" application="gvim"/>  
   <extension id="NOTES" application="gvim"/>  
   <extension id="CREDITS" application="gvim"/>  
   <extension id="AUTHORS" application="gvim"/>  
   <extension id="COPYING" application="gvim"/> 
   <extension id=".cls" application="gvim"/>  
   <extension id=".bib" application="gvim"/> 

   <comment>
    In case gvim is not around, look for xedit.
   </comment>

   <extension id=".c" application="xedit"/>  
   <extension id=".cc" application="xedit"/>  
   <extension id=".C" application="xedit"/>  
   <extension id=".cpp" application="xedit"/>  
   <extension id=".po" application="xedit"/>  
   <extension id=".h" application="xedit"/>  
   <extension id=".h++" application="xedit"/>  
   <extension id=".H" application="xedit"/>  
   <extension id=".hp" application="xedit"/>  
   <extension id=".f" application="xedit"/>  
   <extension id=".f77" application="xedit"/>  
   <extension id=".f99" application="xedit"/>  
   <extension id=".for" application="xedit"/>  
   <extension id=".pas" application="xedit"/>  
   <extension id=".txt" application="xedit"/>  
   <extension id=".text" application="xedit"/>  
   <extension id=".xml" application="xedit"/>  
   <extension id=".in" application="xedit"/>  
   <extension id=".ac" application="xedit"/>  
   <extension id=".am" application="xedit"/>  
   <extension id="README" application="xedit"/>  
   <extension id="readme" application="xedit"/>  
   <extension id="CHANGELOG" application="xedit"/>  
   <extension id="ChangeLog" application="xedit"/>  
   <extension id="INSTALL" application="xedit"/>  
   <extension id="TODO" application="xedit"/>  
   <extension id="NEWS" application="xedit"/>  
   <extension id="NOTES" application="xedit"/>  
   <extension id="CREDITS" application="xedit"/>  
   <extension id="AUTHORS" application="xedit"/>  
   <extension id="COPYING" application="xedit"/> 
   <extension id=".cls" application="xedit"/>  
   <extension id=".bib" application="xedit"/> 

   <comment>
    And if even xedit is not found, fall back to emacs.
   </comment>

   <extension id=".c" application="emacs"/>  
   <extension id=".cc" application="emacs"/>  
   <extension id=".C" application="emacs"/>  
   <extension id=".cpp" application="emacs"/>  
   <extension id=".po" application="emacs"/>  
   <extension id=".h" application="emacs"/>  
   <extension id=".h++" application="emacs"/>  
   <extension id=".H" application="emacs"/>  
   <extension id=".hp" application="emacs"/>  
   <extension id=".f" application="emacs"/>  
   <extension id=".f77" application="emacs"/>  
   <extension id=".f99" application="emacs"/>  
   <extension id=".for" application="emacs"/>  
   <extension id=".pas" application="emacs"/>  
   <extension id=".txt" application="emacs"/>  
   <extension id=".text" application="emacs"/>  
   <extension id=".xml" application="emacs"/>  
   <extension id=".in" application="emacs"/>  
   <extension id=".ac" application="emacs"/>  
   <extension id=".am" application="emacs"/>  
   <extension id="README" application="emacs"/>  
   <extension id="readme" application="emacs"/>  
   <extension id="CHANGELOG" application="emacs"/>  
   <extension id="ChangeLog" application="emacs"/>  
   <extension id="INSTALL" application="emacs"/>  
   <extension id="TODO" application="emacs"/>  
   <extension id="NEWS" application="emacs"/>  
   <extension id="NOTES" application="emacs"/>  
   <extension id="CREDITS" application="emacs"/>  
   <extension id="AUTHORS" application="emacs"/>  
   <extension id="COPYING" application="emacs"/> 
   <extension id=".cls" application="emacs"/>  
   <extension id=".bib" application="emacs"/> 

   <comment>
    These are the image defaults display->gimp.
   </comment>

   <extension id=".bmp" application="display"/>  
   <extension id=".jpg" application="display"/>  
   <extension id=".jpeg" application="display"/>  
   <extension id=".png" application="display"/>  
   <extension id=".gif" application="display"/>  
   <extension id=".tiff" application="display"/>  
   <extension id=".xpm" application="display"/>  
   <extension id=".pm" application="display"/>  

   <extension id=".bmp" application="gimp"/>  
   <extension id=".jpg" application="gimp"/>  
   <extension id=".jpeg" application="gimp"/>  
   <extension id=".png" application="gimp"/>  
   <extension id=".gif" application="gimp"/>  
   <extension id=".tiff" application="gimp"/>  
   <extension id=".xpm" application="gimp"/>  
   <extension id=".pm" application="gimp"/>
  
   <comment>
    These are for audio. xmms follows play.
   </comment>

   <extension id=".8svx" application="play"/>  
   <extension id=".aiff" application="play"/>  
   <extension id=".au" application="play"/>  
   <extension id=".avr" application="play"/>  
   <extension id=".cdr" application="play"/>  
   <extension id=".cvs" application="play"/>  
   <extension id=".gsm" application="play"/>  
   <extension id=".hcom" application="play"/>  
   <extension id=".maud" application="play"/>  
   <extension id=".ogg" application="play"/>  
   <extension id=".sf" application="play"/>  
   <extension id=".sph" application="play"/>  
   <extension id=".smp" application="play"/>  
   <extension id=".snd" application="play"/>  
   <extension id=".sndt" application="play"/>  
   <extension id=".txw" application="play"/>  
   <extension id=".vms" application="play"/>  
   <extension id=".voc" application="play"/>  
   <extension id=".wav" application="play"/>  
   <extension id=".wve" application="play"/>  

   <extension id=".mid" application="play"/>  
   <extension id=".midi" application="play"/>  

   <comment>
   Video player application: mplayer
   </comment>

   <extension id=".mpeg" application="mplayer"/>  
   <extension id=".vob" application="mplayer"/>  
   <extension id=".avi" application="mplayer"/>  
   <extension id=".asf" application="mplayer"/>  
   <extension id=".wma" application="mplayer"/>  
   <extension id=".wmv" application="mplayer"/>  
   <extension id=".rm" application="mplayer"/>  
   <extension id=".qt" application="mplayer"/>  
   <extension id=".mov" application="mplayer"/>  
   <extension id=".mp4" application="mplayer"/>  
   <extension id=".ogg" application="mplayer"/>  
   <extension id=".ogm" application="mplayer"/>  
   <extension id=".vivo" application="mplayer"/>  
   <extension id=".fli" application="mplayer"/>  
   <extension id=".film" application="mplayer"/>  
   <extension id=".RoQ" application="mplayer"/>  
   <extension id=".roq" application="mplayer"/>  

   <extension id=".mp2" application="mplayer"/>  
   <extension id=".mpe" application="mplayer"/>  
   <extension id=".mpeg" application="mplayer"/>  
   <extension id=".mpg" application="mplayer"/>  

   <comment>
   Other assorted programs. 
   </comment>

   <extension id=".tex" application="xterm" arguments="-e latex"/> 
   <extension id=".tex" application="abiword"/> 
   <extension id=".tex" application="gvim"/> 

   <extension id=".glade" application="glade2" arguments=""/>  
   <extension id=".glade" application="glade-2" arguments=""/>  
   <extension id=".glade" application="glade" arguments=""/>  

   <extension id=".dvi" application="xdvi" arguments=""/>  
   <extension id=".html" application="dillo" arguments=""/>  
   <extension id=".htm" application="dillo" arguments=""/>
   <extension id=".html" application="mozilla" arguments=""/>  
   <extension id=".htm" application="mozilla" arguments=""/>
   <extension id=".html" application="opera" arguments=""/>  
   <extension id=".htm" application="opera" arguments=""/>
   <extension id=".html" application="galeon" arguments=""/>  
   <extension id=".htm" application="galeon" arguments=""/>
   <extension id=".html" application="konqueror" arguments=""/>  
   <extension id=".htm" application="konqueror" arguments=""/>
   <extension id=".html" application="nautilus" arguments=""/>  
   <extension id=".htm" application="nautilus" arguments=""/>
   <extension id=".html" application="nswrapper" arguments=""/>  
   <extension id=".htm" application="nswrapper" arguments=""/>
   <extension id=".html" application="netscape" arguments=""/>  
   <extension id=".htm" application="netscape" arguments=""/>

   <extension id=".dvi" application="xdvi" arguments=""/>  

   <extension id=".eps" application="gv" arguments=""/>  
   <extension id=".eps" application="ggv" arguments=""/>  
   <extension id=".pdf" application="gv" arguments=""/>  
   <extension id=".pdf" application="ggv" arguments=""/>  
   <extension id=".ps" application="gv" arguments=""/>  
   <extension id=".ps" application="ggv" arguments=""/>  

   <extension id=".rtf" application="abiword" arguments=""/>  
   <extension id=".rtf" application="Abiword" arguments=""/>  
   <extension id=".rtf" application="AbiWord" arguments=""/>  
   <extension id=".rtf" application="swriter" arguments=""/>  
   <extension id=".rtf" application="oowriter" arguments=""/>
  
   <extension id=".abw" application="abiword" arguments=""/>  
   <extension id=".abw" application="Abiword" arguments=""/>  
   <extension id=".abw" application="AbiWord" arguments=""/>  

   <extension id=".doc" application="swriter" arguments=""/>  
   <extension id=".doc" application="oowriter" arguments=""/>  
   <extension id=".doc" application="abiword" arguments=""/>  
   <extension id=".doc" application="Abiword" arguments=""/>  
   <extension id=".doc" application="AbiWord" arguments=""/>  

   <extension id=".kwd" application="kword" arguments=""/>  

   <extension id=".xls" application="scalc" arguments=""/>  
   <extension id=".xla" application="scalc" arguments=""/>  
   <extension id=".xlt" application="scalc" arguments=""/>  
   <extension id=".xlc" application="scalc" arguments=""/>  
   <extension id=".xld" application="scalc" arguments=""/>  
   <extension id=".sdc" application="scalc" arguments=""/>  
   <extension id=".sxc" application="scalc" arguments=""/>  
   <extension id=".123" application="scalc" arguments=""/>  
   <extension id=".wk1" application="scalc" arguments=""/>  
   <extension id=".wk2" application="scalc" arguments=""/>  
   <extension id=".wk3" application="scalc" arguments=""/>  
   <extension id=".wk4" application="scalc" arguments=""/>  
   <extension id=".wks" application="scalc" arguments=""/> 
 
   <extension id=".xls" application="oocalc" arguments=""/>  
   <extension id=".xla" application="oocalc" arguments=""/>  
   <extension id=".xlt" application="oocalc" arguments=""/>  
   <extension id=".xlc" application="oocalc" arguments=""/>  
   <extension id=".xld" application="oocalc" arguments=""/>  
   <extension id=".sdc" application="oocalc" arguments=""/>  
   <extension id=".sxc" application="oocalc" arguments=""/>  
   <extension id=".123" application="oocalc" arguments=""/>  
   <extension id=".wk1" application="oocalc" arguments=""/>  
   <extension id=".wk2" application="oocalc" arguments=""/>  
   <extension id=".wk3" application="oocalc" arguments=""/>  
   <extension id=".wk4" application="oocalc" arguments=""/>  
   <extension id=".wks" application="oocalc" arguments=""/> 
 
   <extension id=".gnumeric" application="gnumeric" arguments=""/>  
   <extension id=".ksp" application="kspread" arguments=""/>  

   <extension id=".ppt" application="simpress" arguments=""/>  
   <extension id=".sdd" application="simpress" arguments=""/>  
   <extension id=".sdp" application="simpress" arguments=""/>  
   <extension id=".ppt" application="ooimpress" arguments=""/>  
   <extension id=".sdd" application="ooimpress" arguments=""/>  
   <extension id=".sdp" application="ooimpress" arguments=""/>
  
   <extension id=".kpr" application="kpresenter" arguments=""/>  

   <extension id=".kil" application="killustrator" arguments=""/>  
   <extension id=".lyx" application="lyx" arguments=""/>

   <comment>
   These are not associated to any file, but we want them available to
   the autocompletion tasks and future planned development. 

   Ten per id.
   </comment>  

   <extension id=". 0" application="xterm" arguments=""/>  
   <extension id=". 0" application="gnome-terminal" arguments=""/>  
   <extension id=". 0" application="konsole" arguments=""/>  
   <extension id=". 0" application="eterm" arguments=""/>  
   <extension id=". 0" application="gkrellm" arguments=""/>  
   <extension id=". 0" application="aumix-X11" arguments=""/>  
   <extension id=". 0" application="cdplay" arguments=""/>  
   <extension id=". 0" application="dia" arguments=""/>  
   <extension id=". 0" application="xfdiff4" arguments=""/>  
   <extension id=". 0" application="dvips" arguments=""/>  

   <extension id=". 1" application="evolution" arguments=""/>  
   <extension id=". 1" application="xawtv" arguments=""/>  
   <extension id=". 1" application="gedit" arguments=""/>  
   <extension id=". 1" application="gnome-calculator" arguments=""/>  
   <extension id=". 1" application="gnome-panel" arguments=""/>  
   <extension id=". 1" application="gnome-text-editor" arguments=""/>  
   <extension id=". 1" application="gnome-volume-control" arguments=""/>  
   <extension id=". 1" application="gnuchess" arguments=""/>  
   <extension id=". 1" application="killall" arguments=""/>  
   <extension id=". 1" application="xman" arguments=""/>  

   <extension id=". 2" application="sdraw" arguments=""/>  
   <extension id=". 2" application="oodraw" arguments=""/>  
   <extension id=". 2" application="xclock" arguments=""/>  
   <extension id=". 2" application="xflock" arguments=""/>  
   <extension id=". 2" application="xpaint" arguments=""/>  
   <extension id=". 2" application="xlock" arguments=""/>  
   <extension id=". 2" application="xscreensaver-command" arguments="-activate"/>
   <extension id=". 2" application="xscreensaver-demo" arguments=""/>  


</mime_applications>  


